org.eclipse.cdt.core.dom.ast.c

## Interface ICArrayType

All Superinterfaces:
  Cloneable, IArrayType, IType

    public interface ICArrayType
    extends IArrayType

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isConst()`
`boolean` `isRestrict()`
`boolean` `isStatic()`
`boolean` `isVariableLength()`
`boolean` `isVolatile()`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IArrayType

`getArraySizeExpression, getSize, getType, hasSize`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### isConst

    boolean isConst()

#### isRestrict

    boolean isRestrict()

#### isVolatile

    boolean isVolatile()

#### isStatic

    boolean isStatic()

#### isVariableLength

    boolean isVariableLength()